Bug 91781 - freetype-2.1.3-9.src.rpm won't build
Summary: freetype-2.1.3-9.src.rpm won't build
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: freetype   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-28 02:01 UTC by sean
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 22:46:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sean 2003-05-28 02:01:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030524

Description of problem:
building freetype, with autoconf-2.57-3 and
autoconf213-2.13-6:

............
Patch #21 (freetype-1.4-disable-ft1-bci.patch):
+ patch -p0 -b --suffix .disable-ft1-bci -s
+ pushd freetype-pre1.4
/usr/src/redhat/BUILD/freetype-2.1.3/freetype-pre1.4
/usr/src/redhat/BUILD/freetype-2.1.3
+ libtoolize --force
You should add the contents of `/usr/share/aclocal/libtool.m4' to `aclocal.m4'.
+ aclocal-1.4
+ autoconf-2.13
FATAL ERROR: Autoconf version 2.50 or higher is required for this script
error: Bad exit status from /var/tmp/rpm-tmp.67679 (%prep)


So I went to the spec file and made it just autoconf. Got this error:

+ libtoolize --force
You should add the contents of `/usr/share/aclocal/libtool.m4' to `aclocal.m4'.
+ aclocal-1.4
+ autoconf
configure.in:62: error: AC_REQUIRE: cannot be used outside of an m4_defun'd macro
configure.in:62: AC_PROG_MAKE_SET is required by...
configure.in:62: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.60747 (%prep)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild freetype
2.
3.
    

Additional info:

Comment 1 Owen Taylor 2003-06-10 22:46:28 UTC
* Mon Jun  9 2003 Owen Taylor <otaylor@redhat.com> 2.1.4-1
- Version 2.1.4
[...]
- Use autoconf-2.5x for freetype-1.4 to fix libtool-1.5 compat problem (#91781)



Note You need to log in before you can comment on or make changes to this bug.